***********************************************************
*Creates Table 1: Summary Statistics 
***********************************************************
clear
capture log close
cd C:\Users\okhakimov\Desktop\Summer\OCEM
log using maketable1, replace

/*Data Files Used
	maketable1.dta
	
*Data Files Created as Final Product
	none
	
*Data Files Created as Intermediate Product
	none*/
	

****************************
*---column 1 (whole world)
****************************

use maketable1, clear

*log GDP per capita, PPP, in 1995
summ logpgp95

*log output per worker in 1988
summ loghjypl

*Average protection against expropriation risk, 1985-1995
summ avexpr 

*Constraint on executive, 1900
summ cons00a

*Constraint on executive in first year of independence
summ cons1

*Democracy in 1900
summ democ00a

*European settlement in 1900
summ euro1900 


****************************
*---column 2 (base sample)
****************************

use maketable1, clear

keep if baseco==1

*log GDP per capita, PPP, in 1995
summ logpgp95

*log output per worker in 1988
summ loghjypl

*Average protection against expropriation risk, 1985-1995
summ avexpr 

*Constraint on executive, 1900
summ cons00a

*Constraint on executive in first year of independence
summ cons1

*Democracy in 1900
summ democ00a

*European settlement in 1900
summ euro1900 

*Log European settler mortality
summ logem4


****************************
*---columns 3-6 (quartiles)
****************************


*log GDP per capita, PPP, in 1995
sum logpgp95 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4<65.4 & extmort4~=.
sum logpgp95 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=65.4 & extmort4<78.1
sum logpgp95 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=78.1 & extmort4<280
sum logpgp95 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=280 & extmort4~=.

*log output per worker in 1988
sum loghjypl if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4<65.4 & extmort4~=.
sum loghjypl if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=65.4 & extmort4<78.1
sum loghjypl if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=78.1 & extmort4<280
sum loghjypl if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=280 & extmort4~=.

*Average protection against expropriation risk, 1985-1995
sum avexpr if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4<65.4 & extmort4~=.
sum avexpr if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=65.4 & extmort4<78.1
sum avexpr if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=78.1 & extmort4<280
sum avexpr if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=280 & extmort4~=.

*Constraint on executive, 1900
sum cons00a if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4<65.4 & extmort4~=.
sum cons00a if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=65.4 & extmort4<78.1
sum cons00a if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=78.1 & extmort4<280
sum cons00a if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=280 & extmort4~=.

*Constraint on executive in 1990
sum cons90 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4<65.4 & extmort4~=.
sum cons90 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=65.4 & extmort4<78.1
sum cons90 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=78.1 & extmort4<280
sum cons90 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=280 & extmort4~=.

*Constraint on executive in first year of independence
sum cons1 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4<65.4 & extmort4~=.
sum cons1 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=65.4 & extmort4<78.1
sum cons1 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=78.1 & extmort4<280
sum cons1 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=280 & extmort4~=.

*Democracy in 1900
sum democ00a if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4<65.4 & extmort4~=.
sum democ00a if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=65.4 & extmort4<78.1
sum democ00a if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=78.1 & extmort4<280
sum democ00a if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=280 & extmort4~=.

*European settlement in 1900
sum euro1900 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4<65.4 & extmort4~=.
sum euro1900 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=65.4 & extmort4<78.1
sum euro1900 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=78.1 & extmort4<280
sum euro1900 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=280 & extmort4~=.

*Log European settler mortality
sum logem4 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4<65.4 & extmort4~=.
sum logem4 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=65.4 & extmort4<78.1
sum logem4 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=78.1 & extmort4<280
sum logem4 if excolony==1 & extmort4~=. & avexpr~=. & logpgp95~=. & extmort4>=280 & extmort4~=.

capture log close



***********************************************************
*Creates Table 2: OLS Regressions
***********************************************************
clear
capture log close
cd C:\Users\okhakimov\Desktop\Summer\OCEM
log using maketable2, replace

/*Data Files Used
	maketable2.dta
	
*Data Files Created as Final Product
	none
	
*Data Files Created as Intermediate Product
	none*/
	
***********************
*---Column 1
***********************

*Note: there are 111 countries in the world sample that have all the necessary data to run the below regressions, though the paper only reports 110 observations. I'm not sure which of the 111 observations is not used in the paper, so the regressions below will use all 111 obs. and won't quite match the results reported in the paper. 

use maketable2, clear

regress logpgp95 avexpr, robust


***********************
*---Column 2
***********************

regress logpgp95 avexpr if baseco==1, robust


***********************
*--Column 3
***********************

regress logpgp95 avexpr lat_abst, robust

***********************
*--Column 4
***********************
	
regress logpgp95 avexpr lat_abst africa asia other, robust

***********************
*--Column 5
***********************

regress logpgp95 avexpr lat_abst if baseco==1, robust

***********************
*--Column 6
***********************

regress logpgp95 avexpr lat_abst africa asia other if baseco==1, robust

***********************
*---Column 7
***********************

regress loghjypl avexpr, robust


***********************
*---Column 8
***********************

regress loghjypl avexpr if baseco==1, robust


log close




***********************************************************
*Creates Table 3: Determinants of Institutions
***********************************************************
clear
capture log close
cd C:\Users\okhakimov\Desktop\Summer\OCEM
log using maketable3, replace

/*Data Files Used
	colonial_origins.dta
	
*Data Files Created as Final Product
	none
	
*Data Files Created as Intermediate Product
	none*/
	

use maketable3, clear
keep if excolony==1
keep if extmort4!=.
replace euro1900=euro1900 / 100

*******************
*--Panel A
*******************

*--Dependent Variable Is Average Protection Against Exproptiation Risk in 1985-1995

*col 1
reg  avexpr cons00a if excolony==1 & extmort4~=.
*col 2
reg  avexpr lat_abst cons00a if excolony==1 & extmort4~=.
*col 3
reg  avexpr democ00a if excolony==1 & extmort4~=.
*col 4
reg  avexpr democ00a lat_abst if excolony==1 & extmort4~=.
*col 5
reg  avexpr indtime cons1 if excolony==1 & extmort4~=.
*col 6
reg  avexpr indtime cons1 lat_abst if excolony==1 & extmort4~=.
*col 7
reg  avexpr euro1900 if excolony==1 & extmort4~=.
*col 8
reg  avexpr euro1900 lat_abst if excolony==1 & extmort4~=.
*col 9
reg  avexpr logem4 if excolony==1 & extmort4~=. & logpgp95~=.
*col 10
reg  avexpr logem4 lat_abst if excolony==1 & extmort4~=. & logpgp95~=.

***************
***---Panel B
***************

*col 1
reg cons00a euro1900 if excolony==1 & extmort4~=. & logpgp95~=.
* col 2
reg cons00a euro1900 lat_abst if excolony==1 & extmort4~=. & logpgp95~=.
*col 3
reg  cons00a logem4 if excolony==1 & extmort4~=.
*col 4
reg  cons00a lat_abst logem4 if excolony==1 & extmort4~=.

*col 5
reg democ00a euro1900 if excolony==1 & extmort4~=. & logpgp95~=.
*col 6
reg democ00a lat_abst euro1900 if excolony==1 & extmort4~=. & logpgp95~=.
*col 7
reg democ00a logem4 if excolony==1 & extmort4~=. & logpgp95~=.
*col 8
reg democ00a lat_abst logem4 if excolony==1 & extmort4~=. & logpgp95~=.
*col 9
reg euro1900 logem4 if excolony==1 & extmort4~=. & logpgp95~=.
*col 10
reg euro1900 lat_abst logem4 if excolony==1 & extmort4~=. & logpgp95~=.


***********************************************************
*Creates Table 4: IV Regressions of Log GDP per Capita
***********************************************************
clear
capture log close
cd C:\Users\okhakimov\Desktop\Summer\OCEM
log using maketable4, replace

/*Data Files Used
	maketable4.dta
	
*Data Files Created as Final Product
	none
	
*Data Files Created as Intermediate Product
	none*/
	

use maketable4, clear
keep if baseco==1

**********************************
*--Panels A and B, IV Regressions
**********************************
*Columns 1 - 2 (Base Sample)

ivreg logpgp95 (avexpr=logem4), first
ivreg logpgp95 lat_abst (avexpr=logem4), first


*Columns 3 - 4 (Base Sample w/o Neo-Europes)

ivreg logpgp95 (avexpr=logem4) if rich4!=1, first
ivreg logpgp95 lat_abst (avexpr=logem4) if rich4!=1, first


*Columns 5 - 6 (Base Sample w/o Africa)

ivreg logpgp95 (avexpr=logem4) if africa!=1, first
ivreg logpgp95 lat_abst (avexpr=logem4) if africa!=1, first


*Columns 7 - 8 (Base Sample with continent dummies)

gen other_cont=.
replace other_cont=1 if (shortnam=="AUS" | shortnam=="MLT" | shortnam=="NZL")
recode other_cont (.=0)
tab other_cont

ivreg logpgp95 (avexpr=logem4) africa asia other_cont, first
ivreg logpgp95 lat_abst (avexpr=logem4) africa asia other_cont, first


*Column 9 (Base Sample, log GDP per worker)

ivreg loghjypl (avexpr=logem4), first




**********************************
*--Panel C, OLS Regressions
**********************************

*Columns 1 - 2 (Base Sample)

reg logpgp95 avexpr
reg logpgp95 lat_abst avexpr


*Columns 3 - 4 (Base Sample w/o Neo-Europes)

reg logpgp95 avexpr if rich4!=1
reg logpgp95 lat_abst avexpr if rich4!=1


*Columns 5 - 6 (Base Sample w/o Africa)

reg logpgp95 avexpr if africa!=1
reg logpgp95 lat_abst avexpr if africa!=1


*Columns 7 - 8 (Base Sample with continent dummies)

reg logpgp95 avexpr africa asia other_cont
reg logpgp95 lat_abst avexpr africa asia other_cont


*Column 9 (Base Sample, log GDP per worker)

reg loghjypl avexpr




**********************************************************************************
*Creates Table 5: IV Regressions of Log GDP per Capita with Additional Controls
**********************************************************************************
clear
capture log close
cd C:\Users\okhakimov\Desktop\Summer\OCEM
log using maketable5, replace

/*Data Files Used
	maketable5.dta
	
*Data Files Created as Final Product
	none
	
*Data Files Created as Intermediate Product
	none*/
	

use maketable5, clear
keep if baseco==1

**********************************
*--Panels A and B, IV Regressions
**********************************

*--Columns 1 and 2 (British and French colony dummies)

ivreg logpgp95 (avexpr=logem4) f_brit f_french, first
ivreg logpgp95 lat_abst (avexpr=logem4) f_brit f_french, first

*--Columns 3 and 4 (British colonies only)

ivreg logpgp95 (avexpr=logem4) if f_brit==1, first
ivreg logpgp95 lat_abst (avexpr=logem4) if f_brit==1, first

*--Columns 5 and 6 (Control for French legel origin)

ivreg logpgp95 (avexpr=logem4) sjlofr, first
ivreg logpgp95 lat_abst (avexpr=logem4) sjlofr, first

*--Columns 7 and 8 (Religion dummies)

ivreg logpgp95 (avexpr=logem4) catho80 muslim80 no_cpm80, first
ivreg logpgp95 lat_abst (avexpr=logem4) catho80 muslim80 no_cpm80, first

*--Columns 9 (Multiple controls)

ivreg logpgp95 (avexpr=logem4) f_french sjlofr catho80 muslim80 no_cpm80, first
ivreg logpgp95 lat_abst (avexpr=logem4) f_french sjlofr catho80 muslim80 no_cpm80, first


**********************************
*--Panel C, OLS Regressions
**********************************


*--Columns 1 and 2 (British and French colony dummies)

reg logpgp95 avexpr f_brit f_french
reg logpgp95 lat_abst avexpr f_brit f_french

*--Columns 3 and 4 (British colonies only)

reg logpgp95 avexpr if f_brit==1
reg logpgp95 lat_abst avexpr if f_brit==1

*--Columns 5 and 6 (Control for French legel origin)

reg logpgp95 avexpr sjlofr
reg logpgp95 lat_abst avexpr sjlofr

*--Columns 7 and 8 (Religion dummies)

reg logpgp95 avexpr catho80 muslim80 no_cpm80
reg logpgp95 lat_abst avexpr catho80 muslim80 no_cpm80

*--Columns 9 (Multiple controls)

reg logpgp95 lat_abst avexpr f_french sjlofr catho80 muslim80 no_cpm80



**********************************************************************************
*Creates Table 6: Robustness Checks for IV Regressions with Log GDP Per Capita
**********************************************************************************
clear
capture log close
cd C:\Users\okhakimov\Desktop\Summer\OCEM
log using maketable6, replace

/*Data Files Used
	maketable6.dta
	
*Data Files Created as Final Product
	none
	
*Data Files Created as Intermediate Product
	none*/
	
use maketable6, clear
keep if baseco==1


**********************************
*--Panels A and B, IV Regressions
**********************************

*--Columns 1 and 2 (Temperature and humidity controls)

ivreg logpgp95 (avexpr=logem4) temp* humid*, first
ivreg logpgp95 lat_abst (avexpr=logem4) temp* humid*, first

*--Columns 3 and 4 (Control for percent of European descent in 1975)

ivreg logpgp95 (avexpr=logem4) edes1975, first
ivreg logpgp95 lat_abst (avexpr=logem4) edes1975, first

*--Columns 5 and 6 (Controls for soil quality, natural resources, and landlocked)

ivreg logpgp95 (avexpr=logem4)  steplow deslow stepmid desmid drystep drywint goldm iron silv zinc oilres landlock, first
ivreg logpgp95 lat_abst (avexpr=logem4)  steplow deslow stepmid desmid drystep  drywint goldm iron silv zinc oilres landlock, first

*--Columns 7 and 8 (Control for ethnolinguistic fragmentation)

ivreg logpgp95 (avexpr=logem4) avelf, first
ivreg logpgp95 lat_abst (avexpr=logem4) avelf, first

*--Column 9 (All Controls)
ivreg logpgp95 lat_abst (avexpr=logem4) temp* humid* edes1975 avelf steplow deslow stepmid desmid drystep  drywint goldm iron silv zinc oilres landlock, first


**********************************
*--Panel C, OLS Regressions
**********************************


*--Columns 1 and 2 (Temperature and humidity controls)

reg logpgp95 avexpr temp* humid*
reg logpgp95 lat_abst avexpr temp* humid*

*--Columns 3 and 4 (Control for percent of European descent in 1975)

reg logpgp95 avexpr edes1975
reg logpgp95 lat_abst avexpr edes1975

*--Columns 5 and 6 (Controls for soil quality, natural resources, and landlocked)

reg logpgp95 avexpr  steplow deslow stepmid desmid drystep drywint goldm iron silv zinc oilres landlock
reg logpgp95 lat_abst avexpr  steplow deslow stepmid desmid drystep  drywint goldm iron silv zinc oilres landlock

*--Columns 7 and 8 (Control for ethnolinguistic fragmentation)

reg logpgp95 avexpr avelf
reg logpgp95 lat_abst avexpr avelf

*--Column 9 (All Controls)
reg logpgp95 lat_abst avexpr temp* humid* edes1975 avelf steplow deslow stepmid desmid drystep  drywint goldm iron silv zinc oilres landlock


log close




*****************************************************
*Creates Table 7: Geography and Health Variables
*****************************************************
clear
capture log close
cd C:\Users\okhakimov\Desktop\Summer\OCEM
log using maketable7, replace

/*Data Files Used
	maketable7
	
*Data Files Created as Final Product
	none
	
*Data Files Created as Intermediate Product
	none*/
	
use maketable7, clear
keep if baseco==1


**********************************
*--Panels A and B, IV Regressions
**********************************

*Columns 1 and 2: Instrumenting only for average protection against expropriaton risk: malaria control

ivreg logpgp95 (avexpr=logem4) malfal94, first
ivreg logpgp95 lat_abst (avexpr=logem4) malfal94, first

*Columns 3 and 4: Instrumenting only for average protection against expropriaton risk: life expectancy control

ivreg logpgp95 (avexpr=logem4) leb95, first
ivreg logpgp95 lat_abst (avexpr=logem4) leb95, first

*Columns 5 and 6: Instrumenting only for average protection against expropriaton risk: infant mortality control

ivreg logpgp95 (avexpr=logem4) imr95, first
ivreg logpgp95 lat_abst (avexpr=logem4) imr95, first

*Column 7: Instrumenting for all RHS variables: malaria control

ivreg logpgp95 (avexpr malfal94=logem4 latabs lt100km meantemp), first

*Column 8: Instrumenting for all RHS variables: life expectancy control

ivreg logpgp95 (avexpr leb95=logem4 latabs lt100km meantemp), first

*Column 9: Instrumenting for all RHS variables: infant mortality control

ivreg logpgp95 (avexpr imr95=logem4 latabs lt100km meantemp), first

*Columns 10 and 11: Yellow fever instrument for average protection against expropriation risk

ivreg logpgp95 (avexpr = yellow), first

gen other_cont=.
replace other_cont=1 if (shortnam=="AUS" | shortnam=="MLT" | shortnam=="NZL")
recode other_cont (.=0)
tab other_cont

ivreg logpgp95 (avexpr = yellow) africa asia other_cont, first



**********************************
*--Panel C, OLS Regressions
**********************************

*Columns 1 and 2: Instrumenting only for average protection against expropriaton risk: malaria control

reg logpgp95 avexpr malfal94
reg logpgp95 lat_abst avexpr malfal94

*Columns 3 and 4: Instrumenting only for average protection against expropriaton risk: life expectancy control

reg logpgp95 avexpr leb95
reg logpgp95 lat_abst avexpr leb95

*Columns 5 and 6: Instrumenting only for average protection against expropriaton risk: infant mortality control

reg logpgp95 avexpr imr95
reg logpgp95 lat_abst avexpr imr95

*Column 7: Instrumenting for all RHS variables: malaria control
reg logpgp95 avexpr malfal94 if  (logem4!=.&latabs!=.& lt100km!=.& meantemp!=.)

*Column 8: Instrumenting for all RHS variables: life expectancy control
reg logpgp95 avexpr leb95 if  (logem4!=.&latabs!=.& lt100km!=.& meantemp!=.)

*Column 9: Instrumenting for all RHS variables: infant mortality control
reg logpgp95 avexpr imr95 if  (logem4!=.&latabs!=.& lt100km!=.& meantemp!=.)

*Columns 10 and 11: Yellow fever instrument for average protection against expropriation risk

reg logpgp95 avexpr yellow if yellow!=.

reg logpgp95 avexpr yellow africa asia other_cont if yellow!=.




**********************************************************************************
*Creates Table 8: Overidentification Tests
**********************************************************************************
clear
capture log close
cd C:\Users\okhakimov\Desktop\Summer\OCEM
log using maketable8, replace

/*Data Files Used
	maketable8.dta
	
*Data Files Created as Final Product
	none
	
*Data Files Created as Intermediate Product
	none*/
	

use maketable8, clear
keep if baseco==1


**********************************
*--Panels A and B, IV Regressions
**********************************

*Columns 1 - 2 (European settlements in 1900 as instrument)

ivreg logpgp95 (avexpr=euro1900), first
ivreg logpgp95 lat_abst (avexpr=euro1900), first

*Columns 3 - 4 (Constraint on executive in 1900 as instrument)

ivreg logpgp95 (avexpr=cons00a), first
ivreg logpgp95 lat_abst (avexpr=cons00a), first

*Columns 5 - 6 (Democracy in 1900)

ivreg logpgp95 (avexpr=democ00a), first
ivreg logpgp95 lat_abst (avexpr=democ00a), first

*Columns 7 - 8 (Constraint on executive in first year of independence)

ivreg logpgp95 (avexpr=cons1) indtime, first
ivreg logpgp95 lat_abst (avexpr=cons1) indtime, first

*Columns 9 - 10 (Democracy in first year of independence)

ivreg logpgp95 (avexpr=democ1) indtime, first
ivreg logpgp95 lat_abst (avexpr=democ1) indtime, first

***********************************************************************
*--Panel C, Overidentification Tests
***********************************************************************

*Columns 1 - 2 (European settlements in 1900 as instrument)

ivreg logpgp95 (avexpr=euro1900 logem4), first
estimates store efficient
ivreg logpgp95 (avexpr=euro1900), first
estimates store consistent
hausman consistent efficient

ivreg logpgp95 lat_abst (avexpr=euro1900 logem4), first
estimates store efficient
ivreg logpgp95 lat_abst (avexpr=euro1900), first
estimates store consistent
hausman consistent efficient

*Columns 3 - 4 (Constraint on executive in 1900 as instrument)

ivreg logpgp95 (avexpr=cons00a logem4), first
estimates store efficient
ivreg logpgp95 (avexpr=cons00a), first
estimates store consistent
hausman consistent efficient

ivreg logpgp95 lat_abst (avexpr=cons00a logem4), first
estimates store efficient
ivreg logpgp95 lat_abst (avexpr=cons00a), first
estimates store consistent
hausman consistent efficient

*Columns 5 - 6 (Democracy in 1900)

ivreg logpgp95 (avexpr=democ00a logem4), first
estimates store efficient
ivreg logpgp95 (avexpr=democ00a), first
estimates store consistent
hausman consistent efficient

ivreg logpgp95 lat_abst (avexpr=democ00a logem4), first
estimates store efficient
ivreg logpgp95 lat_abst (avexpr=democ00a), first
estimates store consistent
hausman consistent efficient

*Columns 7 - 8 (Constraint on executive in first year of independence)

ivreg logpgp95 (avexpr=cons1 logem4) indtime, first
estimates store efficient
ivreg logpgp95 (avexpr=cons1) indtime, first
estimates store consistent
hausman consistent efficient

ivreg logpgp95 lat_abst (avexpr=cons1 logem4) indtime, first
estimates store efficient
ivreg logpgp95 lat_abst (avexpr=cons1) indtime, first
estimates store consistent
hausman consistent efficient

*Columns 9 - 10 (Democracy in first year of independence)

ivreg logpgp95 (avexpr=democ1 logem4) indtime, first
estimates store efficient
ivreg logpgp95 (avexpr=democ1) indtime, first
estimates store consistent
hausman consistent efficient

ivreg logpgp95 lat_abst (avexpr=democ1 logem4) indtime, first
estimates store efficient
ivreg logpgp95 lat_abst (avexpr=democ1) indtime, first
estimates store consistent
hausman consistent efficient


***********************************************************************
*--Panel D, Second Stage with Log Mortality as Exogenous Variable
***********************************************************************

*Columns 1 - 2 (European settlements in 1900 as instrument)

ivreg logpgp95 (avexpr=euro1900) logem4
ivreg logpgp95 lat_abst (avexpr=euro1900) logem4

*Columns 3 - 4 (Constraint on executive in 1900 as instrument)

ivreg logpgp95 (avexpr=cons00a) logem4
ivreg logpgp95 lat_abst (avexpr=cons00a) logem4

*Columns 5 - 6 (Democracy in 1900)

ivreg logpgp95 (avexpr=democ00a) logem4
ivreg logpgp95 lat_abst (avexpr=democ00a) logem4

*Columns 7 - 8 (Constraint on executive in first year of independence)

ivreg logpgp95 (avexpr=cons1) indtime logem4
ivreg logpgp95 lat_abst (avexpr=cons1) indtime logem4

*Columns 9 - 10 (Democracy in first year of independence)

ivreg logpgp95 (avexpr=democ1) indtime logem4
ivreg logpgp95 lat_abst (avexpr=democ1) indtime logem4

